﻿body {
    margin: 0;
    font-family: -apple-system,BlinkMacSystemFont,segoe ui,Roboto,helvetica neue,Arial,noto sans,sans-serif,apple color emoji,segoe ui emoji,segoe ui symbol,noto color emoji;
    font-size: .8rem !important;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    text-align: left;
    background-color: #fff
}

.containers {
    position: relative;
    min-height: 100vh;
    max-width: 100% !important;
    background: linear-gradient(rgb(83 113 131 / 50%), rgb(22 170 255)), url(../images/4760769.jpg) no-repeat;
    overflow: hidden;
    display: grid;
    place-items: center;
    background-size: cover;
}

    .containers::before {
        /* transform: scale(0.5) translate(-100%, -100%); */
        /* transform: translateX(4em); */
        /* transform: scale(2, 0.5); */
        top: 25%;
        content: "";
        position: absolute;
        width: 380px;
        height: 380px;
        border-radius: 50%;
        background: #00BCD4;
        animation: move-up6 2s ease-in infinite alternate-reverse;
        filter: blur(50px);
    }

    .containers::after {
        content: "";
        position: absolute;
        vertical-align: bottom;
        width: 250px;
        height: 250px;
        border-radius: 50%;
        background: #5FBDFF;
        animation: move-up6 2s ease-in infinite alternate-reverse;
        filter: blur(25px);
    }

@keyframes move-up6 {
    to {
        transform: translateY(-50px);
    }
}

a {
    text-decoration: none;
}

.login {
    position: relative;
    width: 410px;
    padding: 30px;
    height: 550px;
    background-color: rgba(255, 255, 255, 0.1);
    border-radius: 5px;
    z-index: 1000;
    backdrop-filter: blur(20px);
    box-shadow: inset 10px 10px 40px rgba(0, 0, 0, 0.2), -10px -10px 40px rgba(0, 0, 0, 0.2);
}

@media (max-width:400px) {
    .login {
        width: 90%;
    }
}

.login h3 {
    font-size: 1.3rem;
    color: #fff;
    margin-bottom: 20px;
    margin-top: 0;
    text-align: center;
}

.text-center {
    text-align: center !important;
}

form {
    height: fit-content !important;
}


img.error {
    display: inherit;
    content: ' ';
    color: transparent;
    width: inherit;
    height: inherit;
    position: relative;
}

    img.error::before {
        content: '';
        width: inherit;
        height: inherit;
        background: url(../images/no-image.png) no-repeat;
        display: flex;
        justify-content: center;
        align-items: center; 
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
    }

img::before {
    content: '';
    width: inherit;
    height: inherit;
    background: url(../images/no-image.png) no-repeat;
    display: flex;
    justify-content: center;
    align-items: center;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

/*****/
#rd-dna {
    position: fixed;
    top: 42%;
    height: 240px;
    width: 1200px;
    margin-left: -250px;
    perspective: 1000px;
    overflow: hidden;
    z-index: 80;
    transform: rotateZ(126deg);
}

    #rd-dna div {
        position: relative;
        border: 1px dotted #e7e7e7;
        top: 50%;
        width: 2px;
        height: 160px;
        margin-top: -80px;
        box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
        float: left;
        transform-style: preserve-3d;
        margin-left: 20px;
        animation: rotation 6s linear infinite;
    }

        #rd-dna div::before {
            content: "";
            position: absolute;
            top: -10px;
            left: -4px;
            right: -4px;
            height: 12px;
            width: 12px;
            background-color: #11e9e7;
            box-shadow: 0 0 15px #11e9e7;
            border-radius: 50%;
            animation: rotation 4s linear infinite reverse;
            z-index: 1;
        }

        #rd-dna div::after {
            content: "";
            position: absolute;
            bottom: -10px;
            left: -4px;
            right: -4px;
            height: 12px;
            width: 12px;
            background-color: #00ff9e;
            box-shadow: 0 0 15px #00ff9e;
            border-radius: 50%;
            animation: rotation 4s linear infinite reverse;
            z-index: 1;
        }

        #rd-dna div:nth-child(50) {
            animation-delay: -52.5s;
        }

            #rd-dna div:nth-child(50)::before {
                animation-delay: -52.5s;
            }

            #rd-dna div:nth-child(50)::after {
                animation-delay: -52.5s;
            }

        #rd-dna div:nth-child(49) {
            animation-delay: -52.65s;
        }

            #rd-dna div:nth-child(49)::before {
                animation-delay: -52.65s;
            }

            #rd-dna div:nth-child(49)::after {
                animation-delay: -52.65s;
            }

        #rd-dna div:nth-child(48) {
            animation-delay: -52.8s;
        }

            #rd-dna div:nth-child(48)::before {
                animation-delay: -52.8s;
            }

            #rd-dna div:nth-child(48)::after {
                animation-delay: -52.8s;
            }

        #rd-dna div:nth-child(47) {
            animation-delay: -52.95s;
        }

            #rd-dna div:nth-child(47)::before {
                animation-delay: -52.95s;
            }

            #rd-dna div:nth-child(47)::after {
                animation-delay: -52.95s;
            }

        #rd-dna div:nth-child(46) {
            animation-delay: -53.1s;
        }

            #rd-dna div:nth-child(46)::before {
                animation-delay: -53.1s;
            }

            #rd-dna div:nth-child(46)::after {
                animation-delay: -53.1s;
            }

        #rd-dna div:nth-child(45) {
            animation-delay: -53.25s;
        }

            #rd-dna div:nth-child(45)::before {
                animation-delay: -53.25s;
            }

            #rd-dna div:nth-child(45)::after {
                animation-delay: -53.25s;
            }

        #rd-dna div:nth-child(44) {
            animation-delay: -53.4s;
        }

            #rd-dna div:nth-child(44)::before {
                animation-delay: -53.4s;
            }

            #rd-dna div:nth-child(44)::after {
                animation-delay: -53.4s;
            }

        #rd-dna div:nth-child(43) {
            animation-delay: -53.55s;
        }

            #rd-dna div:nth-child(43)::before {
                animation-delay: -53.55s;
            }

            #rd-dna div:nth-child(43)::after {
                animation-delay: -53.55s;
            }

        #rd-dna div:nth-child(42) {
            animation-delay: -53.7s;
        }

            #rd-dna div:nth-child(42)::before {
                animation-delay: -53.7s;
            }

            #rd-dna div:nth-child(42)::after {
                animation-delay: -53.7s;
            }

        #rd-dna div:nth-child(41) {
            animation-delay: -53.85s;
        }

            #rd-dna div:nth-child(41)::before {
                animation-delay: -53.85s;
            }

            #rd-dna div:nth-child(41)::after {
                animation-delay: -53.85s;
            }

        #rd-dna div:nth-child(40) {
            animation-delay: -54s;
        }

            #rd-dna div:nth-child(40)::before {
                animation-delay: -54s;
            }

            #rd-dna div:nth-child(40)::after {
                animation-delay: -54s;
            }

        #rd-dna div:nth-child(39) {
            animation-delay: -54.15s;
        }

            #rd-dna div:nth-child(39)::before {
                animation-delay: -54.15s;
            }

            #rd-dna div:nth-child(39)::after {
                animation-delay: -54.15s;
            }

        #rd-dna div:nth-child(38) {
            animation-delay: -54.3s;
        }

            #rd-dna div:nth-child(38)::before {
                animation-delay: -54.3s;
            }

            #rd-dna div:nth-child(38)::after {
                animation-delay: -54.3s;
            }

        #rd-dna div:nth-child(37) {
            animation-delay: -54.45s;
        }

            #rd-dna div:nth-child(37)::before {
                animation-delay: -54.45s;
            }

            #rd-dna div:nth-child(37)::after {
                animation-delay: -54.45s;
            }

        #rd-dna div:nth-child(36) {
            animation-delay: -54.6s;
        }

            #rd-dna div:nth-child(36)::before {
                animation-delay: -54.6s;
            }

            #rd-dna div:nth-child(36)::after {
                animation-delay: -54.6s;
            }

        #rd-dna div:nth-child(35) {
            animation-delay: -54.75s;
        }

            #rd-dna div:nth-child(35)::before {
                animation-delay: -54.75s;
            }

            #rd-dna div:nth-child(35)::after {
                animation-delay: -54.75s;
            }

        #rd-dna div:nth-child(34) {
            animation-delay: -54.9s;
        }

            #rd-dna div:nth-child(34)::before {
                animation-delay: -54.9s;
            }

            #rd-dna div:nth-child(34)::after {
                animation-delay: -54.9s;
            }

        #rd-dna div:nth-child(33) {
            animation-delay: -55.05s;
        }

            #rd-dna div:nth-child(33)::before {
                animation-delay: -55.05s;
            }

            #rd-dna div:nth-child(33)::after {
                animation-delay: -55.05s;
            }

        #rd-dna div:nth-child(32) {
            animation-delay: -55.2s;
        }

            #rd-dna div:nth-child(32)::before {
                animation-delay: -55.2s;
            }

            #rd-dna div:nth-child(32)::after {
                animation-delay: -55.2s;
            }

        #rd-dna div:nth-child(31) {
            animation-delay: -55.35s;
        }

            #rd-dna div:nth-child(31)::before {
                animation-delay: -55.35s;
            }

            #rd-dna div:nth-child(31)::after {
                animation-delay: -55.35s;
            }

        #rd-dna div:nth-child(30) {
            animation-delay: -55.5s;
        }

            #rd-dna div:nth-child(30)::before {
                animation-delay: -55.5s;
            }

            #rd-dna div:nth-child(30)::after {
                animation-delay: -55.5s;
            }

        #rd-dna div:nth-child(29) {
            animation-delay: -55.65s;
        }

            #rd-dna div:nth-child(29)::before {
                animation-delay: -55.65s;
            }

            #rd-dna div:nth-child(29)::after {
                animation-delay: -55.65s;
            }

        #rd-dna div:nth-child(28) {
            animation-delay: -55.8s;
        }

            #rd-dna div:nth-child(28)::before {
                animation-delay: -55.8s;
            }

            #rd-dna div:nth-child(28)::after {
                animation-delay: -55.8s;
            }

        #rd-dna div:nth-child(27) {
            animation-delay: -55.95s;
        }

            #rd-dna div:nth-child(27)::before {
                animation-delay: -55.95s;
            }

            #rd-dna div:nth-child(27)::after {
                animation-delay: -55.95s;
            }

        #rd-dna div:nth-child(26) {
            animation-delay: -56.1s;
        }

            #rd-dna div:nth-child(26)::before {
                animation-delay: -56.1s;
            }

            #rd-dna div:nth-child(26)::after {
                animation-delay: -56.1s;
            }

        #rd-dna div:nth-child(25) {
            animation-delay: -56.25s;
        }

            #rd-dna div:nth-child(25)::before {
                animation-delay: -56.25s;
            }

            #rd-dna div:nth-child(25)::after {
                animation-delay: -56.25s;
            }

        #rd-dna div:nth-child(24) {
            animation-delay: -56.4s;
        }

            #rd-dna div:nth-child(24)::before {
                animation-delay: -56.4s;
            }

            #rd-dna div:nth-child(24)::after {
                animation-delay: -56.4s;
            }

        #rd-dna div:nth-child(23) {
            animation-delay: -56.55s;
        }

            #rd-dna div:nth-child(23)::before {
                animation-delay: -56.55s;
            }

            #rd-dna div:nth-child(23)::after {
                animation-delay: -56.55s;
            }

        #rd-dna div:nth-child(22) {
            animation-delay: -56.7s;
        }

            #rd-dna div:nth-child(22)::before {
                animation-delay: -56.7s;
            }

            #rd-dna div:nth-child(22)::after {
                animation-delay: -56.7s;
            }

        #rd-dna div:nth-child(21) {
            animation-delay: -56.85s;
        }

            #rd-dna div:nth-child(21)::before {
                animation-delay: -56.85s;
            }

            #rd-dna div:nth-child(21)::after {
                animation-delay: -56.85s;
            }

        #rd-dna div:nth-child(20) {
            animation-delay: -57s;
        }

            #rd-dna div:nth-child(20)::before {
                animation-delay: -57s;
            }

            #rd-dna div:nth-child(20)::after {
                animation-delay: -57s;
            }

        #rd-dna div:nth-child(19) {
            animation-delay: -57.15s;
        }

            #rd-dna div:nth-child(19)::before {
                animation-delay: -57.15s;
            }

            #rd-dna div:nth-child(19)::after {
                animation-delay: -57.15s;
            }

        #rd-dna div:nth-child(18) {
            animation-delay: -57.3s;
        }

            #rd-dna div:nth-child(18)::before {
                animation-delay: -57.3s;
            }

            #rd-dna div:nth-child(18)::after {
                animation-delay: -57.3s;
            }

        #rd-dna div:nth-child(17) {
            animation-delay: -57.45s;
        }

            #rd-dna div:nth-child(17)::before {
                animation-delay: -57.45s;
            }

            #rd-dna div:nth-child(17)::after {
                animation-delay: -57.45s;
            }

        #rd-dna div:nth-child(16) {
            animation-delay: -57.6s;
        }

            #rd-dna div:nth-child(16)::before {
                animation-delay: -57.6s;
            }

            #rd-dna div:nth-child(16)::after {
                animation-delay: -57.6s;
            }

        #rd-dna div:nth-child(15) {
            animation-delay: -57.75s;
        }

            #rd-dna div:nth-child(15)::before {
                animation-delay: -57.75s;
            }

            #rd-dna div:nth-child(15)::after {
                animation-delay: -57.75s;
            }

        #rd-dna div:nth-child(14) {
            animation-delay: -57.9s;
        }

            #rd-dna div:nth-child(14)::before {
                animation-delay: -57.9s;
            }

            #rd-dna div:nth-child(14)::after {
                animation-delay: -57.9s;
            }

        #rd-dna div:nth-child(13) {
            animation-delay: -58.05s;
        }

            #rd-dna div:nth-child(13)::before {
                animation-delay: -58.05s;
            }

            #rd-dna div:nth-child(13)::after {
                animation-delay: -58.05s;
            }

        #rd-dna div:nth-child(12) {
            animation-delay: -58.2s;
        }

            #rd-dna div:nth-child(12)::before {
                animation-delay: -58.2s;
            }

            #rd-dna div:nth-child(12)::after {
                animation-delay: -58.2s;
            }

        #rd-dna div:nth-child(11) {
            animation-delay: -58.35s;
        }

            #rd-dna div:nth-child(11)::before {
                animation-delay: -58.35s;
            }

            #rd-dna div:nth-child(11)::after {
                animation-delay: -58.35s;
            }

        #rd-dna div:nth-child(10) {
            animation-delay: -58.5s;
        }

            #rd-dna div:nth-child(10)::before {
                animation-delay: -58.5s;
            }

            #rd-dna div:nth-child(10)::after {
                animation-delay: -58.5s;
            }

        #rd-dna div:nth-child(9) {
            animation-delay: -58.65s;
        }

            #rd-dna div:nth-child(9)::before {
                animation-delay: -58.65s;
            }

            #rd-dna div:nth-child(9)::after {
                animation-delay: -58.65s;
            }

        #rd-dna div:nth-child(8) {
            animation-delay: -58.8s;
        }

            #rd-dna div:nth-child(8)::before {
                animation-delay: -58.8s;
            }

            #rd-dna div:nth-child(8)::after {
                animation-delay: -58.8s;
            }

        #rd-dna div:nth-child(7) {
            animation-delay: -58.95s;
        }

            #rd-dna div:nth-child(7)::before {
                animation-delay: -58.95s;
            }

            #rd-dna div:nth-child(7)::after {
                animation-delay: -58.95s;
            }

        #rd-dna div:nth-child(6) {
            animation-delay: -59.1s;
        }

            #rd-dna div:nth-child(6)::before {
                animation-delay: -59.1s;
            }

            #rd-dna div:nth-child(6)::after {
                animation-delay: -59.1s;
            }

        #rd-dna div:nth-child(5) {
            animation-delay: -59.25s;
        }

            #rd-dna div:nth-child(5)::before {
                animation-delay: -59.25s;
            }

            #rd-dna div:nth-child(5)::after {
                animation-delay: -59.25s;
            }

        #rd-dna div:nth-child(4) {
            animation-delay: -59.4s;
        }

            #rd-dna div:nth-child(4)::before {
                animation-delay: -59.4s;
            }

            #rd-dna div:nth-child(4)::after {
                animation-delay: -59.4s;
            }

        #rd-dna div:nth-child(3) {
            animation-delay: -59.55s;
        }

            #rd-dna div:nth-child(3)::before {
                animation-delay: -59.55s;
            }

            #rd-dna div:nth-child(3)::after {
                animation-delay: -59.55s;
            }

        #rd-dna div:nth-child(2) {
            animation-delay: -59.7s;
        }

            #rd-dna div:nth-child(2)::before {
                animation-delay: -59.7s;
            }

            #rd-dna div:nth-child(2)::after {
                animation-delay: -59.7s;
            }

        #rd-dna div:nth-child(1) {
            animation-delay: -59.85s;
        }

            #rd-dna div:nth-child(1)::before {
                animation-delay: -59.85s;
            }

            #rd-dna div:nth-child(1)::after {
                animation-delay: -59.85s;
            }

@-webkit-keyframes rotation {
    from {
        transform: rotateX(0deg);
    }

    to {
        transform: rotateX(359deg);
    }
}

:root {
    --gap: 4rem;
}

.marquee {
    overflow: hidden;
    user-select: none;
    display: flex;
    gap: var(--gap);
    text-shadow: 2px 2px 10px #fff;
}

/*ul {
    list-style: none;
    flex-shrink: 0;
    min-width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: var(--gap);
    animation: marquee 8s linear infinite;
}*/
.page_list {
    margin-top: 8px;
    position: relative;
    list-style: none;
    font-size: 11px !important;
    line-height: 1;
}

    .page_list::after {
        bottom: calc(100% - 2px);
        background-color: currentColor;
        content: "";
        position: absolute;
        height: 6px;
        top: 3px;
        width: 6px;
        left: -1.3em;
        -webkit-animation: blinkIt .1s infinite, rotate .5s linear infinite;
        animation: blinkIt .1s infinite, rotate .5s linear infinite;
    }

@-webkit-keyframes blinkIt {
    50% {
        opacity: .8;
    }
}

.page_list::before {
    bottom: calc(100% - 22px);
    top: -60%;
    width: 1px;
    left: -12px;
    background-color: currentColor;
    content: "";
    position: absolute;
}

.text {
    background: linear-gradient(to right, #11e9e7, #ffffff, #00ff9e);
    -webkit-background-clip: text;
    -moz-background-clip: text;
    background-clip: text;
    color: transparent;
    font-weight: 400;
    font-size: 6ch;
    text-shadow: 1px 1px 10px #fff;
}

@keyframes marquee {
    to {
        transform: translateX(calc(-100% - var(--gap)));
    }
}
#mmenu_screen > .row {
    min-height: 100vh;
}

.flex-fill {
    flex: 1 1 auto;
}

.popup {
    background-color: rgba(255, 255, 255, 0.1);
    border-radius: 5px;
    z-index: 1000;
    backdrop-filter: blur(20px);
    box-shadow: 10px 10px 40px rgba(0, 0, 0, 0.2), -10px -10px 40px rgba(0, 0, 0, 0.2);
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    width: 100vw;
    height: 100vh;
    bottom: 0;
    right: 0;
    background-color: rgba(0, 0, 0, 0.2);
    z-index: 1060;
    visibility: hidden;
    opacity: 0;
    overflow: hiden;
    transition: 0.64s ease-in-out;
}

.popup-inner {
    background-color: rgba(255, 255, 255, 0.1);
    border-radius: 5px;
    z-index: 1000;
    backdrop-filter: blur(20px);
    box-shadow: 10px 10px 40px rgba(0, 0, 0, 0.2), -10px -10px 40px rgba(0, 0, 0, 0.2);
    position: relative;
    bottom: -100vw;
    right: -100vh;
    max-width: 400px;
    max-height: 300px;
    width: 100%;
    height: 100%;
    background-color: #fff;
    transform: rotate(32deg);
    transition: 0.64s ease-in-out;
}

.popup__text {
    display: block;
}

    .popup__text h1 {
        text-align: center;
        font-size: 1rem;
        font-weight: 600;
        text-transform: uppercase;
        color: #0A0A0A;
    }

.popup:target {
    visibility: visible;
    opacity: 1;
}

    .popup:target .popup-inner {
        bottom: 0;
        right: 0;
        transform: rotate(0);
        padding: 20px;
    }

.popup__close {
    position: absolute;
    right: -.5rem;
    top: -.5rem;
    width: 1.5rem;
    height: 1.5rem;
    font-size: 0.7rem;
    z-index: 4;
    color: #fff;
    line-height: 1.5rem;
    text-align: center;
    cursor: pointer;
    text-decoration: none;
    border-radius: 2px;
}